package com.fufan.mtsaas.modules.sysmgr.hrsys.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.hrsys.model.SYLOG;
import com.fufan.mtsaas.modules.sysmgr.hrsys.model.SYLOG;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;

import java.util.Map;

/**
 *  服务类
 *
 * @author Liby
 * @since 2020-05-12
 */
public interface SYLOGSvc extends IService<SYLOG> {
    Result doQueryPage(Map<String, String> map);

    Result doSave(SYLOG entity, RequestPojo requestPojo);

    Result doUpdate(SYLOG entity, RequestPojo requestPojo);

    Result doDelete(Map<String, String> map, RequestPojo requestPojo);

    Result doSaveMap(String map, RequestPojo requestPojo);

    Result doUpdateMap(String map, RequestPojo requestPojo);

}
